apiVersion: v1
kind: Service
metadata:
  labels:
    app.kubernetes.io/instance: slurm
    app.kubernetes.io/name: slurmdbd
  name: slurm-lb
  namespace: slurm
spec:
  allocateLoadBalancerNodePorts: true
  type: LoadBalancer
  loadBalancerIP: 10.255.241.15
  ports:
  - name: slurmdbd
    port: 6819
    targetPort: slurmdbd
  selector:
    app.kubernetes.io/instance: slurm
    app.kubernetes.io/name: slurmdbd
